Generate a billing-records CSV report for an NGC organization

View as Markdown
Generate a billing-records CSV report for a given `query`. The CSV columns are chosen via `columns` in the payload. Any query parameter accepted by the `list` endpoint may be used in the `query` of the payload. Returns a time-limited `report_link` to download the report. **Required role:** `air_org_admin`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
columnslist of objectsRequired
Columns to include in the CSV, in order. At least one is required.
queryobjectOptional

Filter, ordering, and search parameters keyed like the list endpoint. The query object from the billing summary response can be posted here as-is.

Response

record_countinteger
Number of billing records written to the CSV.
filenamestring
Suggested filename for the downloaded CSV.
columnslist of strings
Resolved column header labels, in order.
generated_atdatetime
When the export was generated.
expires_atdatetime

When report_link stops working.

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error